Package com.documentum.fc.client.search

# Interface IDfResultObjectManager

public interface IDfResultObjectManager
Manages result content access.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfPersistentObject`
  `getAsPersistentObject(IDfResultEntry entry)`
  Gets the IDfTypedObject corresponding to the result.
  `IDfResultContent`
  `getContent(IDfResultEntry entry)`
  Gets the content corresponding to the result.
  `IDfId`
  `getObjectId(IDfResultEntry entry)`
  Gets the object ID of the object corresponding to the result.
  `String`
  `getURL(IDfResultEntry entry)`
  Gets the URL where the result's content can be accessed.
  `boolean`
  `isRepositoryObject(IDfResultEntry entry)`
  Indicates whether the result comes from a repository and can be accessed as a IDfSysObject.
  `boolean`
  `isURLAdressible(IDfResultEntry entry)`
  Indicates if the result's content is accessible directly through a URL.

- ## Method Details

  - ### isRepositoryObject

    boolean isRepositoryObject(IDfResultEntry entry) throws DfException
    Indicates whether the result comes from a repository and can be accessed as a IDfSysObject.
    Parameters:
      `entry` - An object representing a single result entry.
    Returns:
      `true`, if the result entry is a reporitory object.
    Throws:
      `DfException`

  - ### getAsPersistentObject

    IDfPersistentObject getAsPersistentObject(IDfResultEntry entry) throws DfException
    Gets the IDfTypedObject corresponding to the result. This method can be called only if isRepositoryObject returns true.
    Parameters:
      `entry` - An object representing a single result entry.
    Returns:
      An IDfPersistentObject representing a Documentum object that has typed attributes and is persisted in a repository.
    Throws:
      `DfException` - If a server error occurs or if the result doesn't come from a repository.

  - ### getObjectId

    IDfId getObjectId(IDfResultEntry entry) throws DfException
    Gets the object ID of the object corresponding to the result. This method can be called only if isRepositoryObject returns true.
    Parameters:
      `entry` - An object representing a single result entry.
    Returns:
      The ID of the Documentum object.
    Throws:
      `DfException` - If a server error occurs or if the result doesn't come from a repository.

  - ### isURLAdressible

    boolean isURLAdressible(IDfResultEntry entry) throws DfException
    Indicates if the result's content is accessible directly through a URL. Some content may not have a URL (for example, a repository document or database source entries).
    Parameters:
      `entry` - An object representing a single result entry.
    Returns:
      `true`, if the result entry is accessible through a URL.
    Throws:
      `DfException`

  - ### getURL

    String getURL(IDfResultEntry entry) throws DfException
    Gets the URL where the result's content can be accessed. This method can be called only if isURLAdressible returns true.
    Parameters:
      `entry` - An object representing a single result entry.
    Returns:
      A string representing the URL for the result.
    Throws:
      `DfException` - If the result is not URL addressible.

  - ### getContent

    IDfResultContent getContent(IDfResultEntry entry) throws DfException
    Gets the content corresponding to the result. Note that calling that method initiates the content retrieval from the source.
    Parameters:
      `entry` - The result entry whose content to retrieve.
    Returns:
      An IDfResultContent instance providing access to the content itself as well as content type and content size information. Null, if the content cannot be retrieved directly by DFC.
      Note that some result entry content can be accessed both by using a URL or by using this method. Some content can be accessed only through URL or only through this method. Some results might have no content at all. Repository document content should be accessed using regular DFC mechanisms.
    Throws:
      `DfException` - If the connection to the external source fails.